## openmodelica 7504

=== CMakeLists.txt ===
# Jens Frenkel, Jens.Frenkel@tu-dresden.de, 2010-03-30
# CMakefile for compilation of OMC 

# CMAKE
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
# PROJECT
PROJECT(OpenModelicaCompiler)

# Global Variables
SET(OMCTRUNCHOME ${CMAKE_CURRENT_SOURCE_DIR})
SET(CODEGENDIR ${CMAKE_CURRENT_BINARY_DIR}/codegen)

# Tests
OPTION(RUN_TESTS  "Run Tests"  OFF)
IF(RUN_TESTS)
enable_testing()
ADD_SUBDIRECTORY(testsuite)
ENDIF(RUN_TESTS)

# Subdirectorys
ADD_SUBDIRECTORY(c_runtime)
#ADD_SUBDIRECTORY(modelica_parser)
#ADD_SUBDIRECTORY(flat_modelica_parser)
#ADD_SUBDIRECTORY(Compiler)
#ADD_SUBDIRECTORY(doc)
#ADD_SUBDIRECTORY(Examples)

# -------------------------------------------------------------
# Models
# -------------------------------------------------------------
# add here your models to compile (add filename without ".mo")
# Example:
#    BUILDMODEL(model dir Flags CSRC)
SET(OMC_DEBUG ${OMCTRUNCHOME}/build/bin/omcd.exe)
#BUILDMODEL(BouncingBall ${CMAKE_CURRENT_SOURCE_DIR}/testsuite/mofiles +d=bltdump)
#BUILDMODEL(Simple ${CMAKE_CURRENT_SOURCE_DIR}/build/bin/Test +d=bltdump)
#BUILDMODEL(CombiTable2DTest ${CMAKE_CURRENT_SOURCE_DIR}/build/bin/Test +d=bltdump "")
#BUILDMODEL(AlgorithmForInClass ${CMAKE_CURRENT_SOURCE_DIR}/build/bin/Test +d=bltdump "")

=== c_runtime/CMakeLists.txt ===
# includes
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR})

# OMC Compiler
SET(OMC_DEBUG ${OMCTRUNCHOME}/build/bin/omcd.exe)
MESSAGE(" omc is " ${OMC_DEBUG})

ADD_SUBDIRECTORY(libf2c)
ADD_SUBDIRECTORY(sendData)
ADD_SUBDIRECTORY(ModelicaExternalC)

# -------------------------------------------------------------
# MACRO definitions
# -------------------------------------------------------------

# Macros to hide/show cached variables.
# These two macros can be used to "hide" or "show" in the
# list of cached variables various variables and/or options 
# that depend on other options.
# Note that once a variable is modified, it will preserve its
# value (hidding it merely makes it internal)

MACRO(HIDE_VARIABLE var)
  IF(DEFINED ${var})
    SET(${var} "${${var}}" CACHE INTERNAL "")
  ENDIF(DEFINED ${var})
ENDMACRO(HIDE_VARIABLE)

MACRO(SHOW_VARIABLE var type doc default)
  IF(DEFINED ${var})
    SET(${var} "${${var}}" CACHE "${type}" "${doc}" FORCE)
  ELSE(DEFINED ${var})
    SET(${var} "${default}" CACHE "${type}" "${doc}")
  ENDIF(DEFINED ${var})
ENDMACRO(SHOW_VARIABLE)

# MACRO BUILDMODEL
MACRO(BUILDMODEL model dir Flags CSRC)

  INCLUDE_DIRECTORIES(${OMCTRUNCHOME}/c_runtime)

  # Variablen fuer openmodelica2sarturis
  SET(OMC_CODE   ${CMAKE_CURRENT_BINARY_DIR}/${model}.cpp
                 ${CMAKE_CURRENT_BINARY_DIR}/${model}_functions.cpp
                 ${CMAKE_CURRENT_BINARY_DIR}/${model}_init.txt)
  SET(OMC_OUTPUT  ${CMAKE_CURRENT_BINARY_DIR}/${model}.cpp
                  ${CMAKE_CURRENT_BINARY_DIR}/${model}_functions.cpp
				  ${CMAKE_CURRENT_BINARY_DIR}/${model}_functions.h
				  ${CMAKE_CURRENT_BINARY_DIR}/${model}_records.c)

  # custom command fuer openmodelicacompiler
  ADD_CUSTOM_COMMAND(OUTPUT ${OMC_OUTPUT}
                     COMMAND ${OMC_DEBUG} ${Flags} +s ${dir}/${model}.mo Modelica ModelicaServices 												  
                     WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
                     COMMENT "Erzeuge Code fuer ${model} with ${OMC_DEBUG}")

  # target fuer OM_OUTPUT
  ADD_CUSTOM_TARGET(${model}codegen ALL DEPENDS ${OMC_OUTPUT})

  ADD_EXECUTABLE(${model} ${OMC_OUTPUT} ${CSRC})
  TARGET_LINK_LIBRARIES(${model} sim c_runtime f2c sendData ModelicaExternalC)

  # Dependencies
  ADD_DEPENDENCIES(${model} ${model}codegen)
  
  IF(MODELS_INSTALL)
    INSTALL(TARGETS ${model} RUNTIME DESTINATION ${MODELS_INSTALL_PATH})
    INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/${model}_init.txt DESTINATION ${MODELS_INSTALL_PATH})
  ENDIF(MODELS_INSTALL)
#ENDFOREACH(model ${model_sources})
ENDMACRO(BUILDMODEL)

# MACRO BUILDMODEL
MACRO(BUILDMODELFMU model dir Flags CSRC)

  INCLUDE_DIRECTORIES(${OMCTRUNCHOME}/c_runtime)

  SET(OMC_MODELNAME ${model})  
  SET(OMC_MODELDIR ${dir})  
  # generate model.mos 
  FIND_FILE(MOSFILE_IN model_fmu.in PATHS ${OMCTRUNCHOME}/c_runtime)
  CONFIGURE_FILE(${MOSFILE_IN} ${dir}/${model}_FMU.mos)
  
  # Variablen fuer openmodelica2sarturis
  SET(OMC_CODE   ${CMAKE_CURRENT_BINARY_DIR}/${model}.cpp
                 ${CMAKE_CURRENT_BINARY_DIR}/${model}_functions.cpp
                 ${CMAKE_CURRENT_BINARY_DIR}/${model}_init.txt)
  SET(OMC_OUTPUT  ${CMAKE_CURRENT_BINARY_DIR}/${model}.cpp
                  ${CMAKE_CURRENT_BINARY_DIR}/${model}_FMU.cpp
                  ${CMAKE_CURRENT_BINARY_DIR}/${model}_functions.cpp
				  ${CMAKE_CURRENT_BINARY_DIR}/${model}_functions.h
				  ${CMAKE_CURRENT_BINARY_DIR}/${model}_records.c)
  # custom command fuer openmodelicacompiler
  ADD_CUSTOM_COMMAND(OUTPUT ${OMC_OUTPUT}
                     COMMAND ${OMC_DEBUG} ${Flags} ${dir}/${model}_FMU.mos
                     WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
                     COMMENT "Erzeuge Code fuer ${model} with ${OMC_DEBUG}")
  # target fuer OM_OUTPUT
  ADD_CUSTOM_TARGET(${model}codegen ALL DEPENDS ${OMC_OUTPUT})

  SET(OMC_FMU_CODE ${OMCTRUNCHOME}/c_runtime/fmu_model_interface.h
                   ${OMCTRUNCHOME}/c_runtime/fmiModelFunctions.h
				   ${OMCTRUNCHOME}/c_runtime/fmiModelTypes.h)
  
  ADD_LIBRARY(${model} ${OMC_OUTPUT} ${CSRC} ${OMC_FMU_CODE})
  TARGET_LINK_LIBRARIES(${model} sim c_runtime f2c sendData ModelicaExternalC)

  # Dependencies
  ADD_DEPENDENCIES(${model} ${model}codegen)
  
  IF(MODELS_INSTALL)
    INSTALL(TARGETS ${model} ARCHIVE DESTINATION ${MODELS_INSTALL_PATH})
    INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/${model}_init.txt DESTINATION ${MODELS_INSTALL_PATH})
  ENDIF(MODELS_INSTALL)
#ENDFOREACH(model ${model_sources})
ENDMACRO(BUILDMODELFMU)


# Check if example files are to be exported
SHOW_VARIABLE(MODELS_INSTALL BOOL "Install models" ON)

# If MODELS are to be exported, check where we should install them.
IF(MODELS_INSTALL)

  SHOW_VARIABLE(MODELS_INSTALL_PATH STRING
    "Output directory for installing models files" "${CMAKE_INSTALL_PREFIX}")
    
  IF(NOT MODELS_INSTALL_PATH)
    PRINT_WARNING("The example installation path is empty"
      "Example installation path was reset to its default value")
    SET(MODELS_INSTALL_PATH "${CMAKE_INSTALL_PREFIX}" CACHE STRING
      "Output directory for installing example files" FORCE)
  ENDIF(NOT MODELS_INSTALL_PATH)

ELSE(MODELS_INSTALL)
   HIDE_VARIABLE(MODELS_INSTALL_PATH)
ENDIF(MODELS_INSTALL)

# Quellen und Header
SET(c_runtime_sources  boolean_array.c index_spec.c integer_array.c
                       memory_pool.c base_array.c real_array.c
					   string_array.c read_write.c utility.c
					   modelica_string.c bigden.c ddasrt.c  dlinpk.c
					   enorm.c   hybrd1.c  nelmead.c  qform.c
					   r1updt.c biglag.c  ddassl.c  dogleg.c
					   fdjac1.c  hybrj.c   newuoa.c   qrfac.c
					   trsapp.c daux.c    dlamch.c  dpmpar.c
					   hybrd.c   lsame.c   newuob.c   r1mpyq.c
					   update.c java_interface.c meta_modelica.c
					   division.c)
#					   meta_modelica_builtin.c)

SET(c_runtime_headers  blaswrap.h f2c.h integer_array.h memory_pool.h
                       modelica_string.h base_array.h inline.h real_array.h
					   string_array.h boolean_array.h index_spec.h matrix.h
					   modelica.h read_write.h utility.h meta_modelica.h
					   meta_modelica_builtin.h java_interface.h jni.h division.h
					   jni_md.h jni_md_solaris.h jni_md_windows.h fortran_types.h
					   sendData/sendData.h sendData/humbug.h)				 
						 
SET(sim_sources simulation_runtime.cpp simulation_init.cpp simulation_input.cpp
                simulation_events.cpp solver_dasrt.cpp  
				simulation_result_plt.cpp simulation_result_csv.cpp simulation_result_bin.cpp
				simulation_result_mat.cpp simulation_delay.cpp tables.cpp
				options.cpp dgesv_aux.c linearize.cpp solver_main.cpp)
	
SET(sim_headers simulation_runtime.h simulation_init.h simulation_input.h
                simulation_events.h solver_dasrt.h simulation_result.h
				simulation_delay.h tables.h options.h linearize.h solver_main.h
				simulation_result_plt.h simulation_result_plt.h simulation_result_mat.h
				simulation_result_empty.h simulation_result_csv.h simulation_result_bin.h
				simulation_inline_solver.h )


# Library c_runtime
#ADD_DEFINITIONS(/Wall /O3  /ansi /pedantic)
ADD_DEFINITIONS(/DNO_INTERACTIVE_DEPENDENCY)
if(WIN32)
#add_definitions(/MT)
endif(WIN32)
ADD_LIBRARY(c_runtime ${c_runtime_sources} ${c_runtime_headers})
TARGET_LINK_LIBRARIES(c_runtime f2c)
# Library sim
if(WIN32)
#add_definitions(/MT)
endif(WIN32)
ADD_LIBRARY(sim ${sim_sources} ${sim_headers})
TARGET_LINK_LIBRARIES(sim c_runtime f2c ModelicaExternalC)

# Install
INSTALL(TARGETS c_runtime sim
		ARCHIVE DESTINATION lib)
		
INSTALL(FILES ${c_runtime_headers} DESTINATION include)

=== testsuite/Makefile ===
# Sorted by time it takes to run the tests...
FASTLOGS= \
mosfiles.log \
mosfiles-msl22.log \
parser.log \
meta.log \
dependency.log \
biochem.log \
mofiles.log \
msl.log \
mmdev.log \
mosfiles-nosim.log \
interactive.log \
records.log \
expandable.log \
linearize.log \
modelicaML.log \
drmodelica.log \
streams.log

SLOWLOGS = \
bootstrapping.log \
mosfiles-dassl2.log \
msl31.log \
multibody.log \
msl221.log \
msl221additions.log \
interactive-simulation.log

.PHONY : all omc-diff failingtest test fast fast.logs $(FASTLOGS) $(SLOWLOGS) slow.logs

all : test

omc-diff :
	$(MAKE) -C difftool
test : slow.logs fast.logs
	@cat `ls $(FASTLOGS) $(SLOWLOGS) | sort`
	@rm -f {mofiles/drmodelica,streams,mofiles,mofiles/msl,meta,records,java,interactive,mosfiles-nosim}/*.{dll,so,exe};
test-oldresult:
	@cat `ls $(FASTLOGS) $(SLOWLOGS) | sort`
test-oldresult-summary:
	@cat `ls $(FASTLOGS) $(SLOWLOGS) | sort` > test.log
	@cat test.log
	@grep ^== test.log | grep failed | gawk '{ fail += $$2; sum += $$5 } END {printf "== Total: %d out of %d failed\n",fail,sum}'
fast : omc-diff fast.logs
	@cat `ls $(FASTLOGS) | sort`
	@rm -f {mofiles/drmodelica,streams,mofiles,mofiles/msl,meta,records,java}/*.{dll,so,exe};
fast.logs: $(FASTLOGS)
# java should probably also be part of 'fast'
slow.logs: $(SLOWLOGS)
drmodelica.log: omc-diff
	$(MAKE) -C mofiles/drmodelica -f Makefile test > $@
	@echo $@ done
streams.log: omc-diff
	$(MAKE) -C streams -f Makefile test > $@
	@echo $@ done
mofiles.log: omc-diff
	$(MAKE) -C mofiles -f Makefile test > $@
	@echo $@ done
parser.log: omc-diff
	$(MAKE) -C parser -f Makefile test > $@
	@echo $@ done
dependency.log: omc-diff
	$(MAKE) -C dependency -f Makefile test > $@
	@echo $@ done
interactive.log: omc-diff
	$(MAKE) -C interactive -f Makefile test > $@
	@echo $@ done
interactive-simulation.log: omc-diff
	$(MAKE) -C interactive-simulation -f Makefile test > $@
	@echo $@ done
msl.log: omc-diff
	$(MAKE) -C mofiles/msl -f Makefile test > msl.log
	@echo $@ done
mosfiles.log: omc-diff
	$(MAKE) -C mosfiles -f Makefile test > $@
	@echo $@ done
mosfiles-dassl2.log: omc-diff
	$(MAKE) -C mosfiles-dassl2 -f Makefile test > $@
	@echo $@ done
mosfiles-msl22.log: omc-diff
	$(MAKE) -C mosfiles-msl22 -f Makefile test > $@
	@echo $@ done
mosfiles-nosim.log: omc-diff
	$(MAKE) -C mosfiles-nosim -f Makefile test > $@
	@echo $@ done
meta.log: omc-diff
	$(MAKE) -C meta -f Makefile test > $@
	@echo $@ done
mmdev.log: omc-diff
	$(MAKE) -C meta/MetaModelicaDev -f Makefile.omc test > $@
	@echo $@ done
records.log: omc-diff
	$(MAKE) -C records -f Makefile test > $@
	@echo $@ done
expandable.log: omc-diff
	$(MAKE) -C expandable -f Makefile test > $@
	@echo $@ done
linearize.log: omc-diff
	$(MAKE) -C linearize -f Makefile test > $@
	@echo $@ done
modelicaML.log: omc-diff
	$(MAKE) -C modelicaML -f Makefile test > $@
	@echo $@ done
java.log: omc-diff
	$(MAKE) -C java -f Makefile test > $@
	@echo $@ done
bootstrapping.log: omc-diff
	$(MAKE) -C bootstrapping -f Makefile test > $@
	@echo $@ done
msl221.log: omc-diff
	$(MAKE) -C libraries/msl221 -f Makefile test > $@
msl221additions.log: omc-diff
	$(MAKE) -C libraries/msl221/modelicaAdditions -f Makefile test > $@
biochem.log: omc-diff
	$(MAKE) -C libraries/biochem -f Makefile test > $@
multibody.log: omc-diff
	$(MAKE) -C libraries/multibody -f Makefile test > $@
msl31.log: omc-diff
	$(MAKE) -C libraries/msl31 -f Makefile test > $@

failingtest: omc-diff
	cd mofiles; $(MAKE) -f Makefile failingtest; \
	cd mosfiles-dassl; $(MAKE) -f Makefile failingtest; \
	cd msl; $(MAKE) -f Makefile failingtest; \
	cd ../libraries/msl221; $(MAKE) -f Makefile failingtest; \
	cd ../msl221/modelicaAdditions; $(MAKE) -f Makefile failingtest; \
	cd ../../biochem; $(MAKE) -f Makefile failingtest; \
	cd ../multibody; $(MAKE) -f Makefile failingtest; \
	cd ../msl31; $(MAKE) -f Makefile failingtest;

=== OMEdit/bin/Makefile ===
#############################################################################
# Makefile for building: OMEdit
# Generated by qmake (2.01a) (Qt 4.7.0) on: l 18. dec 19:27:51 2010
# Project:  ..\OMEditGUI\OMEditGUI.pro
# Template: app
# Command: c:\qt\2010.05\qt\bin\qmake.exe -spec ..\..\..\Qt\2010.05\qt\mkspecs\win32-g++ CONFIG+=release -o Makefile ..\OMEditGUI\OMEditGUI.pro
#############################################################################

first: release
install: release-install
uninstall: release-uninstall
MAKEFILE      = Makefile
QMAKE         = c:\qt\2010.05\qt\bin\qmake.exe
DEL_FILE      = del
CHK_DIR_EXISTS= if not exist
MKDIR         = mkdir
COPY          = copy /y
COPY_FILE     = $(COPY)
COPY_DIR      = xcopy /s /q /y /i
INSTALL_FILE  = $(COPY_FILE)
INSTALL_PROGRAM = $(COPY_FILE)
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = del
SYMLINK       = 
DEL_DIR       = rmdir
MOVE          = move
CHK_DIR_EXISTS= if not exist
MKDIR         = mkdir
SUBTARGETS    =  \
		release \
		debug

release: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release
release-make_default: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release 
release-make_first: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release first
release-all: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release all
release-clean: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release clean
release-distclean: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release distclean
release-install: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release install
release-uninstall: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release uninstall
debug: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug
debug-make_default: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug 
debug-make_first: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug first
debug-all: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug all
debug-clean: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug clean
debug-distclean: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug distclean
debug-install: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug install
debug-uninstall: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug uninstall

Makefile: ../OMEditGUI/OMEditGUI.pro  ../../../Qt/2010.05/qt/mkspecs/win32-g++/qmake.conf ../../../Qt/2010.05/qt/mkspecs/qconfig.pri \
		../../../Qt/2010.05/qt/mkspecs/modules/qt_webkit_version.pri \
		../../../Qt/2010.05/qt/mkspecs/features/qt_functions.prf \
		../../../Qt/2010.05/qt/mkspecs/features/qt_config.prf \
		../../../Qt/2010.05/qt/mkspecs/features/exclusive_builds.prf \
		../../../Qt/2010.05/qt/mkspecs/features/default_pre.prf \
		../../../Qt/2010.05/qt/mkspecs/features/win32/default_pre.prf \
		../../../Qt/2010.05/qt/mkspecs/features/release.prf \
		../../../Qt/2010.05/qt/mkspecs/features/debug_and_release.prf \
		../../../Qt/2010.05/qt/mkspecs/features/default_post.prf \
		../../../Qt/2010.05/qt/mkspecs/features/win32/default_post.prf \
		../../../Qt/2010.05/qt/mkspecs/features/warn_off.prf \
		../../../Qt/2010.05/qt/mkspecs/features/win32/rtti.prf \
		../../../Qt/2010.05/qt/mkspecs/features/win32/exceptions.prf \
		../../../Qt/2010.05/qt/mkspecs/features/win32/stl.prf \
		../../../Qt/2010.05/qt/mkspecs/features/shared.prf \
		../../../Qt/2010.05/qt/mkspecs/features/qt.prf \
		../../../Qt/2010.05/qt/mkspecs/features/win32/thread.prf \
		../../../Qt/2010.05/qt/mkspecs/features/moc.prf \
		../../../Qt/2010.05/qt/mkspecs/features/win32/windows.prf \
		../../../Qt/2010.05/qt/mkspecs/features/resources.prf \
		../../../Qt/2010.05/qt/mkspecs/features/uic.prf \
		../../../Qt/2010.05/qt/mkspecs/features/yacc.prf \
		../../../Qt/2010.05/qt/mkspecs/features/lex.prf \
		../../../Qt/2010.05/qt/mkspecs/features/include_source_dir.prf \
		c:/Qt/2010.05/qt/lib/qtmain.prl
	$(QMAKE) -spec ..\..\..\Qt\2010.05\qt\mkspecs\win32-g++ CONFIG+=release -o Makefile ..\OMEditGUI\OMEditGUI.pro
..\..\..\Qt\2010.05\qt\mkspecs\qconfig.pri:
..\..\..\Qt\2010.05\qt\mkspecs\modules\qt_webkit_version.pri:
..\..\..\Qt\2010.05\qt\mkspecs\features\qt_functions.prf:
..\..\..\Qt\2010.05\qt\mkspecs\features\qt_config.prf:
..\..\..\Qt\2010.05\qt\mkspecs\features\exclusive_builds.prf:
..\..\..\Qt\2010.05\qt\mkspecs\features\default_pre.prf:
..\..\..\Qt\2010.05\qt\mkspecs\features\win32\default_pre.prf:
..\..\..\Qt\2010.05\qt\mkspecs\features\release.prf:
..\..\..\Qt\2010.05\qt\mkspecs\features\debug_and_release.prf:
..\..\..\Qt\2010.05\qt\mkspecs\features\default_post.prf:
..\..\..\Qt\2010.05\qt\mkspecs\features\win32\default_post.prf:
..\..\..\Qt\2010.05\qt\mkspecs\features\warn_off.prf:
..\..\..\Qt\2010.05\qt\mkspecs\features\win32\rtti.prf:
..\..\..\Qt\2010.05\qt\mkspecs\features\win32\exceptions.prf:
..\..\..\Qt\2010.05\qt\mkspecs\features\win32\stl.prf:
..\..\..\Qt\2010.05\qt\mkspecs\features\shared.prf:
..\..\..\Qt\2010.05\qt\mkspecs\features\qt.prf:
..\..\..\Qt\2010.05\qt\mkspecs\features\win32\thread.prf:
..\..\..\Qt\2010.05\qt\mkspecs\features\moc.prf:
..\..\..\Qt\2010.05\qt\mkspecs\features\win32\windows.prf:
..\..\..\Qt\2010.05\qt\mkspecs\features\resources.prf:
..\..\..\Qt\2010.05\qt\mkspecs\features\uic.prf:
..\..\..\Qt\2010.05\qt\mkspecs\features\yacc.prf:
..\..\..\Qt\2010.05\qt\mkspecs\features\lex.prf:
..\..\..\Qt\2010.05\qt\mkspecs\features\include_source_dir.prf:
c:\Qt\2010.05\qt\lib\qtmain.prl:
qmake: qmake_all FORCE
	@$(QMAKE) -spec ..\..\..\Qt\2010.05\qt\mkspecs\win32-g++ CONFIG+=release -o Makefile ..\OMEditGUI\OMEditGUI.pro

qmake_all: FORCE

make_default: release-make_default debug-make_default FORCE
make_first: release-make_first debug-make_first FORCE
all: release-all debug-all FORCE
clean: release-clean debug-clean FORCE
distclean: release-distclean debug-distclean FORCE
	-$(DEL_FILE) Makefile

check: first

release-mocclean: $(MAKEFILE).Release
	$(MAKE) -f $(MAKEFILE).Release mocclean
debug-mocclean: $(MAKEFILE).Debug
	$(MAKE) -f $(MAKEFILE).Debug mocclean
mocclean: release-mocclean debug-mocclean

release-mocables: $(MAKEFILE).Release
	$(MAKE) -f $(MAKEFILE).Release mocables
debug-mocables: $(MAKEFILE).Debug
	$(MAKE) -f $(MAKEFILE).Debug mocables
mocables: release-mocables debug-mocables
FORCE:

$(MAKEFILE).Release: Makefile
$(MAKEFILE).Debug: Makefile

=== testsuite/bootstrapping/Makefile ===
# BuiltinReal.mos fails when using Cevalfunc.mo! the values are OK, the display is different! 
TEST = ../rtest

TESTFILES = \
DumpTest.mos \
HashTableTest.mos \
MainTest.mos \
SimCodeTest.mos \
SimplifyTest.mos \
SusanTest.mos \
UtilTest.mos


# test that currently fail. Move up when fixed. 
# Run make testfailing
FAILINGTESTFILES= \
NONE

# Remove executables on Linux (no extension)
CLEAN = $(TESTFILES:.mos=) $(TESTFILES:.mos=_*) $(TESTFILES:.mos=.cpp) $(TESTFILES:.mos=.makefile) $(TESTFILES:.mos=.libs) $(TESTFILES:.mos=.log) output.log *.dll *.exe *.so

.PHONY : test

test:
	@echo
	@echo Running tests...
	@echo
	@echo OPENMODELICAHOME=" $(OPENMODELICAHOME) "
	@$(TEST) $(TESTFILES)
	@rm -f $(CLEAN:.mo=)
clean:
	@rm -f $(CLEAN:.mo=)
failingtest :
	@echo
	@echo Running failing tests...
	@echo
	@$(TEST) $(FAILINGTESTFILES)

=== testsuite/interactive/Makefile ===
TEST = ../rtest -v

TESTFILES = \
DefaultComponentName.mos \
differentiate.mos \
ForStatement1.mos ForStatement2.mos ForStatement3.mos ForStatement4.mos \
ForStatement5fail.mos ForStatement6.mos ForStatement7.mos \
IfStatement.mos IfStatementIllegal.mos \
interactive_api_param.mos interactive_api_classes.mos \
interactive_api_loadsave.mos  interactive_api_attributes.mos \
interactive_api_calls.mos \
interactive_api_annotations.mos \
interactive_api_simulations.mos \
interactive_test.mos \
loadFileInteractiveQualified.mos \
matrices.mos \
refactorGraphAnn1.mos refactorGraphAnn2.mos \
Rename.mos \
RunScript.mos \
setComponentComment.mos \
simplify.mos \
strings.mos  \
variables.mos \
XmlDumpComment.mos

# test that currently fail. Move up when fixed. 
# Run make testfailing
FAILINGTESTFILES=NONE

.PHONY : test

test:
	@echo
	@echo Running tests...
	@echo
	@echo OPENMODELICAHOME=" $(OPENMODELICAHOME) "
	@$(TEST) $(TESTFILES)

failingtest :
	@echo
	@echo Running failing tests...
	@echo
	@$(TEST) $(FAILINGTESTFILES)

=== testsuite/linearize/Makefile ===
# BuiltinReal.mos fails when using Cevalfunc.mo! the values are OK, the display is different! 
TEST = ../rtest
PATH := ./:${PATH}

TESTFILES = linmodel.mos \
simVanDerPol.mos \
smallValues.mos \
simLotkaVolterra.mos \
simTwoTank.mos \
simNonlinear.mos \
simextfunction.mos \
test_02.mos test_03.mos test_04.mos test_05.mos


# test that currently fail. Move up when fixed. 
# Run make testfailing
FAILINGTESTFILES= test_01.mos test_06.mos

# Remove executables on Linux (no extension)
CLEAN = $(TESTFILES:.mos=) $(TESTFILES:.mos=_*) $(TESTFILES:.mos=.cpp) $(TESTFILES:.mos=.makefile) $(TESTFILES:.mos=.libs) $(TESTFILES:.mos=.log) output.log *.dll *.exe *.so

.PHONY : test

test: test2 clean
test2:
	@echo
	@echo Running tests...
	@echo
	@echo OPENMODELICAHOME =" $(OPENMODELICAHOME) "
	@$(TEST) $(TESTFILES)

clean:
	@rm -f $(CLEAN)
failingtest :
	@echo
	@echo Running failing tests...
	@echo
	@$(TEST) $(FAILINGTESTFILES)

=== testsuite/mofiles/Makefile ===
TEST=../rtest -v

TESTFILES=\
Abs1.mo \
Abs2.mo \
Abs.mo \
Acos.mo \
AddReal1.mo \
Algorithm1.mo \
Algorithm2.mo \
Algorithm3.mo \
AlgorithmFor1.mo \
AlgorithmFor2.mo \
AlgorithmFor3.mo \
AlgorithmFor4.mo \
AlgorithmFor5.mo \
AlgorithmFor6.mo \
And.mo \
Array10.mo \
Array11.mo \
Array12.mo \
Array13.mo \
Array14.mo \
Array15.mo \
Array1.mo \
Array2.mo \
Array3.mo \
Array4.mo \
Array7.mo \
Array8.mo \
Array9.mo \
ArrayAccess.mo \
ArrayAddition.mo \
ArrayAsAliasInExtends.mo \
ArrayAsAlias.mo \
ArrayAssignWholeDim.mo \
ArrayBrackets.mo \
Array_builtin.mo \
ArrayCurlyBrackets.mo \
ArrayDeclaration1.mo \
ArrayDeclaration2.mo \
ArrayDeclaration3.mo \
ArrayDeclaration4.mo \
ArrayDeclaration5.mo \
ArrayDivision.mo \
ArrayEWOps1.mo \
ArrayEWOps2.mo \
ArrayEWOps3.mo \
ArrayEWOps4.mo \
ArrayEWOps5.mo \
ArrayEWOpsCEval1.mo \
ArrayEWOpsCEval2.mo \
ArrayEWOpsCEval3.mo \
ArrayEWOpsCEval4.mo \
ArrayEWOpsCEval5.mo \
ArrayExtend.mo \
ArrayExtendsUnknown.mo \
ArrayIndex.mo \
ArrayIndex2.mo \
ArrayInvalidDims.mo \
ArrayMatrixSimplifier.mo \
ArrayModification10.mo \
ArrayModification11.mo \
ArrayModification12.mo \
ArrayModification13.mo \
ArrayModification14.mo \
ArrayModification1.mo \
ArrayModification2.mo \
ArrayModification3.mo \
ArrayModification4.mo \
ArrayModification5.mo \
ArrayModification6.mo \
ArrayModification7.mo \
ArrayModification8.mo \
ArrayModification9.mo \
ArrayMulMatrixSimplifier.mo \
ArrayMultiplication.mo \
ArrayOperators.mo \
ArrayRange.mo \
ArrayReduce2.mo \
ArrayRemoveIndex1.mo \
ArraySizeFromFunc.mo \
ArraySlice1.mo \
ArraySubtraction.mo \
Asin.mo \
AssignmentFunction.mo \
AssignmentFunctionMultiple1.mo \
AssignmentSimple.mo \
Atan2.mo \
Atan.mo \
BlockComponents.mo \
BlockIllegal.mo \
BlockResult.mo \
BlockSimple.mo \
BoolArrayTest.mo \
BooleanLiterals.mo \
Break.mo \
Cardinality.mo \
Ceil.mo \
Circle.mo \
Circuit1.mo \
Class1.mo \
Class2.mo \
ClassExtends1.mo \
ClassExtends2.mo \
ClassExtends3.mo \
Comment1.mo \
Comment2.mo \
ComponentNames.mo \
ComponentNames2.mo \
ComponentNamesRedecl.mo \
CondDeclaration.mo \
ConditionalArrayExpression1.mo \
ConditionalArrayExpression2.mo \
ConditionalComponent.mo \
CondOperators.mo \
Connect12.mo \
Connect13.mo \
Connect14.mo \
Connect15.mo \
Connect16.mo \
Connect1.mo \
Connect2.mo \
Connect4.mo \
Connect5.mo \
Connect6.mo \
Connect7.mo \
Connect8.mo \
Connect9.mo \
ConnectEnumArray.mo \
ConnectFlowEffort.mo \
ConnectHierarchical1.mo \
ConnectHierarchical2.mo \
ConnectInner1.mo \
ConnectInner2.mo \
ConnectInner3.mo \
ConnectInnerOuter2.mo \
ConnectInnerOuter3.mo \
ConnectInnerOuter.mo \
ConnectorComponents.mo \
ConnectorIllegal.mo \
ConnectorSimple.mo \
ConnectTypes.mo \
Constant10.mo \
Constant11.mo \
Constant1.mo \
Constant2.mo \
Constant3.mo \
Constant4.mo \
Constant5.mo \
Constant6.mo \
Constant7.mo \
Constant8.mo \
Constant9.mo \
ConstantDeclConnector.mo \
ConstantDeclRecord.mo \
ConstantDeclType.mo \
ConstantLogicalRelations.mo \
ConstantReductions.mo \
ConstantSize.mo \
ConstrainingType1.mo \
ConstructParameters2.mo \
ConstructParameters.mo \
Cosh.mo \
Cos.mo \
Cross.mo \
DeclarationEquation1.mo \
DeclarationEquation2.mo \
DeclarationEquation3.mo \
DeclarationOrder1.mo \
DeclarationOrder2.mo \
DeclarationOrder.mo \
DefaultRecordParameters.mo \
Delay2.mo \
Delay3.mo \
Delay4.mo \
Delay5.mo \
Delay6.mo \
Delay7.mo \
Delay.mo \
DependsMutual.mo \
DependsRecursive.mo \
Derivative1.mo \
DerConstant1.mo \
DerConstant2.mo \
DerConstant3.mo \
DiagonalBlock.mo \
Discrete1.mo \
Discrete2.mo \
DiscreteDeclConnector.mo \
DiscreteDeclRecord.mo \
DiscreteDeclType.mo \
DisturbedResistance3.mo \
DisturbedResistance4.mo \
Div.mo \
DocString.mo \
DoubleDeclaration.mo \
DuplicateElements.mo \
DuplicateElementsEquivalent.mo \
DuplicateElementsNonEquivalent.mo \
DuplicateElementsExtends.mo \
DuplicateElementsExtendsEquivalent.mo \
Each1.mo \
Encapsulated1.mo \
Encapsulated2.mo \
Encapsulated3.mo \
EngineSAAB95Total.mo \
Enum10.mo \
Enum11.mo \
Enum1.mo \
Enum2.mo \
Enum3.mo \
Enum4.mo \
Enum5.mo \
Enum6.mo \
Enum7.mo \
Enum8.mo \
Enum9.mo \
EnumConnectArray.mo \
EnumDimSum.mo \
EnumFor.mo \
EnumInvalidLiteral.mo \
EnumRange.mo \
Equals.mo \
EquationComponent1.mo \
EquationComponent2.mo \
EquationComponent3.mo \
EquationComponent4.mo \
EquationComponent5.mo \
EquationFor1.mo \
EquationFor2.mo \
EquationFor3.mo \
EquationFor4.mo \
EquationFor5.mo \
EquationFor6.mo \
EquationFor7.mo \
EquationIf1.mo \
EquationIf2.mo \
EquationIf3.mo \
EquationIf4.mo \
EventFunctions.mo \
Exp.mo \
Expressions.mo \
Extends1.mo \
Extends2.mo \
Extends3.mo \
Extends4.mo \
Extends5.mo \
Extends6.mo \
Extends7.mo \
Extends8.mo \
Extends9.mo \
Extends10.mo \
Extends11.mo \
ExtendsModWithImport.mo \
ExternalFunction1.mo \
ExternalFunction2.mo \
ExternalFunction3.mo \
ExternalFunction4.mo \
ExternalFunction5.mo \
ExternalFunctionAnno.mo \
Faculty1.mo \
Faculty2.mo \
Faculty3.mo \
Faculty5.mo \
FillSize.mo \
FinalParameterModification.mo \
FixedFinalParameter.mo \
FlexibleShaftNonLinearTotal.mo \
FloatingPoint.mo \
Floor.mo \
FlowDeclConnector.mo \
FlowDeclRecord.mo \
FlowDeclType.mo \
ForceAndTorque.mo \
ForIf.mo \
ForIterator1.mo \
ForIterator2.mo \
ForIteratorType.mo \
ForNested.mo \
ForSimple.mo \
Function10.mo \
Function11.mo \
Function12.mo \
Function1.mo \
Function3.mo \
Function5.mo \
Function5_test.mo \
Function6.mo \
Function7.mo \
Function8.mo \
Function9.mo \
FunctionBreak.mo \
FunctionBubblesort.mo \
FunctionCall.mo \
FunctionDefaultArgs.mo \
FunctionEval1.mo \
FunctionEval2.mo \
FunctionEval3.mo \
FunctionEval4.mo \
FunctionEval6.mo \
FunctionEval7.mo \
FunctionEval8.mo \
FunctionEval9.mo \
FunctionEvalBuiltin.mo \
FunctionEvalSlice.mo \
FunctionProtectedInput.mo \
FunctionReturn.mo \
FunctionSimple.mo \
FunctionSimplex.mo \
FunctionWithEquation.mo \
GreaterThanEqual.mo \
GreaterThan.mo \
IconsRecursiveTest.mo \
IdenticalEquations.mo \
if_then_elseif_else.mo \
Import1.mo \
Import2.mo \
Import3.mo \
Import4.mo \
Import5.mo \
Import6.mo \
Import7.mo \
Influenza.mo \
InheritanceClassMod.mo \
InheritanceDiamond.mo \
InheritanceMultiple.mo \
InheritanceProtected.mo \
InheritancePublic.mo \
InheritanceSeveral.mo \
InheritanceSimple.mo \
InnerOuter1.mo \
InnerOuter2.mo \
InnerOuterSystem.mo \
InnerOuterWithExtends.mo \
InOutArray2.mo \
InOutArray.mo \
InOutBool.mo \
InputDeclConnector.mo \
InputDeclRecord.mo \
InputDeclType.mo \
IntAdd.mo \
IntDiv.mo \
Integer2Real.mo \
Integer.mo \
IntMul.mo \
IntPow.mo \
IntSub.mo \
InvertedPendulumTotal.mo \
LessThanEqual.mo \
LessThan.mo \
Log10.mo \
Log.mo \
Lookup10.mo \
Lookup1.mo \
Lookup2.mo \
Lookup3.mo \
Lookup4.mo \
Lookup5.mo \
Lookup6.mo \
Lookup7.mo \
Lookup9.mo \
LookupArray.mo \
MathematicalFunctions.mo \
Matrix1.mo \
MatrixAddition.mo \
MatrixBrackets.mo \
MatrixPow.mo\
MatrixRowIndexing.mo \
MinMax.mo \
ModelAccess.mo \
modelica_1_1_Array9.mo \
modelica_1_1_Function10.mo \
modelica_1_1_Type10.mo \
modelica_1_1_Type9.mo \
ModelSimple.mo \
Modification10.mo \
Modification12.mo \
Modification13.mo \
Modification14.mo \
Modification15.mo \
Modification1.mo \
Modification2.mo \
Modification4.mo \
Modification5.mo \
Modification6.mo \
Modification7.mo \
Modification9.mo \
ModifierClass.mo \
ModifierExtends.mo \
ModifierProblem.mo \
ModifierRedeclare.mo \
ModifierTypeError.mo \
ModifierVariable.mo \
ModifyConstant4.mo \
ModifyConstant5.mo \
ModifyConstant6.mo \
modifyOuter2.mo \
modifyOuter.mo \
ModifyUnknown1.mo \
ModifyUnknown2.mo \
Mod.mo \
MultipleDeclarations2.mo \
MultipleDeclarations.mo \
MyPointsInst1.mo \
MyPointsInst2.mo \
NamedArguments.mo \
NestedClasses.mo \
NoEvent1.mo \
NonExpArray1.mo \
NotDependsRecursive.mo \
NotEquals.mo \
Not.mo \
NumericFunctions.mo \
Operators.mo \
Or.mo \
OutputDeclConnector.mo \
OutputDeclRecord.mo \
OutputDeclType.mo \
OverrideFinalTest.mo \
Overwriting1.mo \
Overwriting2.mo \
Overwriting3.mo \
Overwriting4.mo \
PackageComponents.mo \
PackageIllegal.mo \
package-s-1.mo \
packages1.mo \
packages2.mo \
PackageSimple.mo \
ParameterDeclConnector.mo \
ParameterDeclRecord.mo \
ParameterDeclType.mo \
Partial1.mo \
PEXPipeTotal.mo \
Philosopher2.mo \
Philosopher.mo \
Pow.mo \
PredefinedTypes.mo \
Protected1.mo \
ProtectedAccess2.mo \
ProtectedAccess.mo \
prtest.mo \
PublicAccess.mo \
Range1.mo \
Real2Integer1.mo \
Real2Integer2.mo \
Real2Integer3.mo \
RealAdd.mo \
RealDiv.mo \
RealMul.mo \
RealPow.mo \
RealSub.mo \
Record1.mo \
RecordAssignment.mo \
RecordConnections.mo \
RecordConstructors.mo \
RecordConstructorVectorization.mo \
RecordNonPublic.mo \
RecordPrefixes.mo \
RecordSimple.mo \
RecursiveFunctionCall.mo \
RecursiveShort.mo \
Redeclare1.mo \
Redeclare2.mo \
Redeclare3.mo \
Redeclare4.mo \
Redeclare5.mo \
RedeclareFlowEffort.mo \
Reductions.mo \
reinit.mo \
ReinitArray.mo \
Rem.mo \
ScopeDeclaration1.mo \
ScopeDeclaration3.mo \
ScopeModification1.mo \
ScopeModification2.mo \
Sequence.mo \
Shadow1.mo \
ShortClassDef.mo \
Sign.mo \
SimpleInheritance.mo \
SimpleIntegrator1.mo \
SimpleIntegrator2.mo \
SimpleIntegrator3.mo \
SimpleTypeExtend.mo \
Simplify.mo \
Sinh.mo \
Sin.mo \
Skew.mo \
SmallLinsys.mo \
Sqrt.mo \
StringBoolean.mo \
StringConcatenation.mo \
StringConversion.mo \
StringInteger.mo \
StringLiterals.mo \
StringPool.mo \
StringReal.mo \
StructuralParameter1.mo \
SubScript1.mo \
SubScript2.mo \
SubScript3.mo \
Sum.mo \
Switch.mo \
Tanh.mo \
Tan.mo \
Terminal1.mo \
Terminal2.mo \
TestGravityAcceleration.mo \
Transpose2.mo \
Transpose.mo \
tupleSubset.mo \
TupleSingleAssign.mo \
Type10.mo \
Type1.mo \
Type3.mo \
Type4.mo \
Type5.mo \
Type6.mo \
Type7.mo \
Type8.mo \
Type9.mo \
TypeArray.mo \
TypeClass1.mo \
TypeClass2.mo \
TypeDeclArray.mo \
TypeEnumeration.mo \
TypeSimple.mo \
Units2.mo \
UsertypeModifications.mo \
VectorBuiltin.mo \
VectorDimension.mo \
Vectorizable1.mo \
Vectorizable2.mo \
Vectorizable3.mo \
Vectorizable4.mo \
Vectorizable5.mo \
Vectorizable6.mo \
VectorizeExtendedType.mo \
VectorTest.mo \
WhenElseNested.mo \
WhenNested.mo \
WhenNestedEquation.mo \
WhenSemantics1.mo \
While.mo \
WillowForest.mo \

# test that currently fail. Move up when fixed. 
# Run make testfailing
FAILINGTESTFILES=\
Algorithm4.mo \
Array5.mo \
Array6.mo \
ArrayModification12.mo \
AssignmentFunctionMultiple2.mo \
Connect10.mo \
Connect11.mo \
Connect3.mo \
ConnectConst1.mo \
ConstrainingType2.mo \
ConstrainingType3.mo \
CyclicBindingConst.mo \
CyclicBindingParam.mo \
DeclareConstant1.mo \
DeclareConstant2.mo \
DeclareConstant3.mo \
DisturbedResistance1.mo \
DisturbedResistance2.mo \
Faculty4.mo \
FlatParse.mof \
Function2.mo \
Function4.mo \
FunctionEval5.mo \
InheritanceRestrictions.mo \
Inline1.mo \
Inline2.mo \
Inline3.mo \
Inline4.mo \
Inline5.mo \
Inline6.mo \
InnerClass1.mo \
ListTest.mo \
Lookup8.mo \
Match1.mo \
Match2.mo \
Match3.mo \
Match4.mo \
Match5.mo \
Match6.mo \
Match7.mo \
modelica_1_1_Type11.mo \
Modification11.mo \
Modification3.mo \
Modification8.mo \
ModifyConstant1.mo \
ModifyConstant2.mo \
NonExpArray2.mo \
OperatorComponents.mo \
OperatorFunction1.mo \
OperatorFunction2.mo \
OperatorIllegal.mo \
OperatorSimple.mo \
partial-s-1.mo \
partials1.mo \
ReplaceFunction.mo \
ScopeDeclaration2.mo \
ScopeDeclaration4.mo \
SmallPlantModified.mo \
Type2.mo \
Units1.mo \
WaveEquationSample.mo \

DOCFILES=modtest.texi cases.texi VERSION.texi
DISTFILES=$(TESTFILES) VERSION modtest.texi \
	Makefile rtest cases.texi index.html
HTMLFILE=modtest_toc.html

TEXI2DVI=texi2dvi
TEXI2HTML=texi2html -split_chapter
MAKEINFO=makeinfo

VERSION = $(shell cat VERSION)

.PHONY : default
default : modtest.info modtest.ps $(HTMLFILE)

.PHONY : test failingtest

test :
	@echo
	@echo Running tests...
	@echo
	@$(TEST) $(TESTFILES)

failingtest :
	@echo
	@echo Running failing tests...
	@echo
	@$(TEST) $(FAILINGTESTFILES)

keywords :
	$(TEST) -l $(TESTFILES)

modtest.dvi : $(DOCFILES)
	$(TEXI2DVI) $<

modtest.ps : modtest.dvi
	dvips -o $@ $<

modtest.info : $(DOCFILES)
	$(MAKEINFO) $<

$(HTMLFILE) : $(DOCFILES)
	$(TEXI2HTML) $<

cases.texi : $(TESTFILES)
	$(RM) $@

=== testsuite/mosfiles-dassl2/Makefile ===
TEST = ../rtest -v

TESTFILES = \
ABCDsystem.plt.mos \
ABCDsystem.csv.mos \
ABCDsystem.empty.mos \
AlgorithmArrayEqn.mos \
AlgorithmCondAssign1.mos \
AlgorithmCondAssign2.mos \
AlgorithmForInClass.mos \
AlgorithmSection.mos \
algorithms.mos \
ArrayAddSub1.mos ArrayDivError.mos \
ArrayExponentiation.mos \
ArrayEquation.mos ArrayMult.mos ArrayReduce.mos \
ArrayParameterSize.mos \
ArraySlice.mos \
AsubCrefExpType.mos \
BooleanArray.mos \
BouncingBall.mos BouncingBall2.mos BouncingBallExamples.mos \
BuiltinMath.mos \
ComplexNumbers.mos \
ComplexTypeEquationCount.mos \
ConstructFunc.mos \
Cross.mos \
CyclicPerm.mos \
DAEexample.mos DAEexample2.mos \
dertest.mos  \
DiscreteVectorStateSpace.mos \
DoubleWhenConflict.mos DoubleWhenSequential.mos \
EnumArray.mos \
EquationCallIntegerArray.mos \
EqualityEquations.mos \
EqualityEquationsCorrect.mos \
ExtendsBasic.mos  \
ExternalLibraries.mos \
ExtObj.mos ExtObjStringParam.mos \
FiveForEquations.mos \
FlatTank.mos \
ForIterator1.mos ForIterator2.mos \
FuncDer.mos  \
FunctionIndirectRecursion.mos \
FunctionIndirectRecursion2.mos \
FunctionInReinit.mos \
HeatTank.mos HeatTankExpanded.mos \
HideVariableForEquations.mos \
HydrogenIodide.mos \
Identity.mos \
IdealDiode.mos  \
IfEquation.mos IfEquation2.mos IfEquation3.mos \
Initialization.mos \
InlineSolverCodeGenerationEuler.mos \
InlineSolverCodeGenerationRK.mos \
Interpolation.mos \
InOutStrings.mos InOutRecord.mos \
HelloWorld.mos \
LinearSysEq.mos \
LocalVariableInit.mos \
LotkaVolterra.mos \
Matrix.mos  \
MissV.mos \
ModelicaUtilities.mos \
MyPointsInst1.mos MyPointsInst2.mos \
ModelBalance1.mos ModelBalance2.mos ModelBalance3.mos \
nonConstantParam.mos \
OneArgBaseFunction.mos \
Pendulum.mos \
PolynomialEvaluatorA.mos PolynomialEvaluatorB.mos \
PolynomialEvaluator1.mos PolynomialEvaluator2.mos PolynomialEvaluator3.mos \
PreAndAliasedVar.mos \
Random.mos \
Reductions.mos \
Riccati.mos \
Sample1.mos Sample2.mos \
SemiLinear.mos \
Sign.mos \
SimplePeriodicSampler.mos \
SimResultScripting.mos \
simulation.mos \
SliceAssignment.mos \
StepAdvanced.mos \
StringTest.mos \
SumSeriesWhile.mos \
SyncFilter.mos \
Switch.mos \
Tank.mos TankPI.mos TankPID.mos TankHybridPID.mos TankHybridPI.mos \
tempInterpol2test.mos \
Time.mos \
TupleReturn.mos \
TwoRateSampler.mos \
val.mos \
VectorizeOneReturnValue.mos \
WatchDog1AlgorithmWhen.mos WatchDog2EquationWhen.mos \
WhenEquation.mos WhenEquation1.mos WhenPriority.mos \
WhenStatement1.mos WhenStatement2.mos WhenStatement3.mos whenstatements.mos \
Xpowers1.mos Xpowers2.mos Xpowers3.mos  \
when_sorting.mos EventIteration.mos \
 


# test that currently fail. Move up when fixed. 
# Run make testfailing
FAILINGTESTFILES= MoonAndEarth.mos \
JoinThreeVectors2.mos StatementCall.mos \
OneArgBaseFunction.mos \
ArrayFieldSlice.mos \
AppendElement.mos \
DimConvert.mos \
Epidemics1.mos \
ActivateWhenEquation.mos Enum8.mos  \
Delay.mos TanksConnectedPI.mos

.PHONY : test

test:
	@echo
	@echo Running tests...
	@echo
	@echo OPENMODELICAHOME=" $(OPENMODELICAHOME) "
	@$(TEST) $(TESTFILES)

failingtest :
	@echo
	@echo Running failing tests...
	@echo
	@$(TEST) $(FAILINGTESTFILES)

=== testsuite/parser/Makefile ===
OPENMODELICALIBRARY := ../../../libraries/msl31/

TEST=../rtest -v

ifeq ($(shell uname -m),x86_64)
	ARCH_DEPENDENT_FILES=IntegerLiterals64.mo
else
	ARCH_DEPENDENT_FILES=IntegerLiterals32.mo
endif

TESTFILES=\
$(ARCH_DEPENDENT_FILES) \
Assign1.mo \
Assign2.mo \
Assign3.mo \
Class3.mo \
Class4.mo \
Code.mo \
ConstructParameters1.mo \
Declaration1.mo \
Declaration2.mo \
Declaration3.mo \
DocumentationBackslash.mo \
DotName.mos \
EmptyWithin.mo \
Identifier.mo \
MetaModelicaMatchElse.mo \
MetaModelicaStringOpModelicaLexer.mo \
MissingSemicolon.mo \
ModifyConstant3.mo \
OptionalOutput.mos \
ParseCompilerSources.mos \
ParseElementReplaceable.mo \
ParseError1.mo \
ParseError2.mo \
ParseFullModelica1.6.mos \
ParseFullModelica2.2.1.mos \
ParseFullModelica3.1.mos \
ParseFullModelica3.2.mos \
RealOpLexerModelica.mo \
RealOpLexerMetaModelica.mo \
Redeclare.mos \
SimpleIntegrator4.mo \
WildLexerModelica.mo \
WildLexerMetaModelica.mo \
ParseModel.mos

FAILINGTESTFILES= \

.PHONY : test

test :
	@echo
	@echo Running tests...
	@echo
	@$(TEST) $(TESTFILES)

failingtest :
	@$(TEST) $(FAILINGTESTFILES)

=== Compiler/susan_codegen/SimCode/Makefile ===
.PHONY : all 

OMC = OPENMODELICAHOME=`pwd`/../../../build/ ../../../build/bin/omc
#OMC = OPENMODELICAHOME=`pwd`/../../../build/ ../../../build/bin/omc +d=failtrace

all : SimCodeC.mo SimCodeCSharp.mo SimCodeFMU.mo Unparsing.mo

SimCodeC.mo : SimCodeC.tpl SimCodeTV.mo
	@echo " ** SimCodeC template compilation ** "
	$(OMC) $<
	cp -pf $@ ../../Template/
	@echo " "

SimCodeCSharp.mo : SimCodeCSharp.tpl SimCodeTV.mo
	@echo " ** SimCodeCSharp template compilation ** "
	$(OMC) $<
	cp -pf $@ ../../Template/
	@echo " "

SimCodeFMU.mo : SimCodeFMU.tpl SimCodeTV.mo
	@echo " ** SimCodeFMU template compilation ** "
	$(OMC) $<
	cp -pf $@ ../../Template/
	@echo " "	

Unparsing.mo : Unparsing.tpl SimCodeTV.mo
	@echo " ** Unparsing template compilation ** "
	$(OMC) $<
	cp -pf $@ ../../Template/
	@echo " "

=== Compiler/susan_codegen/SimCode/GenTest/Makefile ===
.PHONY : all tplmode csharp cppOrig QHP beatheart csCopy tst

OMC = ../../../../build/bin/omc.exe
#OMC = /d/Modelica/_modely/MM_for_debug/omc.exe
#OMC = /c/OpenModelica1.4.5/bin/omc.exe
ModelsNET = "/d/Modelica/_svn_Solvers/Compiled Solvers/Simulation/ModelsDotNet/"
#all :  tplmode  csharp  cppOrig
all :  QHP csCopy
#all : csharp csCopy
#all :  tst
#all :  cppOrig

tst:
	#(cd ../../../../testsuite/mosfiles/ && ../../build/bin/omc.exe BuiltinMath.mos 2>&1)
	(cd ../../../../testsuite/mofiles/ && ../../build/bin/omc.exe ArrayAssignWholeDim.mo > ArrayAssignWholeDim.mof  2>&1)
	(cd ../../../../testsuite/mofiles/ && ../../build/bin/omc.exe VectorTest.mo > VectorTest.mof  2>&1)
	
tplmode : 
	@echo " ** Generate TrapezTest Test ** "
	(cd TrapezTest && ../$(OMC) +d=tplmode,tpl2,tplgen_ generate.mos)
	#@echo " ** Generate RightHeartStarling Test C/C++ target ** "
	#(cd RightHeartStarling && ../$(OMC) +d=tplmode,tpl2,tplgen_ generate.mos)

csharp :
	@echo " ** Generate RightHeartStarling Test CSharp target ** "
	(cd RightHeartStarling && ../$(OMC) +d=tplmode,CSharp generate.mos)
	#@echo " ** Generate TrapezUnderground Test CSharp target ** "
	#(cd TrapezUnderground && ../$(OMC) +d=tplmode,CSharp generate.mos)

cppOrig :
	#@echo " ** Generate TrapezTest original original C/C++ target  ** "
	#(cd TrapezTest && ../$(OMC) +d=no_tplmode generate.mos)
	#@echo " ** Simulate TrapezUnderground Test original C/C++ target ** "
	#(cd TrapezUnderground && ../$(OMC) +d=no_tplmode simulate.mos)
	#@echo " ** Simulate RightHeartStarling original C/C++   ** "
	#(cd RightHeartStarling && ../$(OMC) +d=no_tplmode simulate.mos)
	@echo " ** Simulate QHP  original C/C++   ** "
	(cd QHP && ../$(OMC) +showErrorMessages +d=failtrace simulate.mos > debug-trace.txt 2>&1)

QHP:
	@echo " ** Simulate QHP  original C/C++   ** "
	#(cd QHP && ../$(OMC) +showErrorMessages +d=perfTimes,failtrace simulate.mos > debug-trace-C.txt 2>&1)
	#(cd QHP && ../$(OMC) +showErrorMessages +d=perfTimes simulate.mos > debug-trace-C.txt 2>&1)
	(cd QHP && ../$(OMC) +d=perfTimes simulate.mos > debug-trace-C.txt 2>&1)
	@echo " ** Generate QHP CSharp target ** "
	(cd QHP && ../$(OMC) +showErrorMessages +d=perfTimes,CSharp generate.mos > debug-trace-CSharp.txt 2>&1)
	

csCopy:
	#(cp -pf ./QHP/Conlon_circulatoryVAD.cs  "/d/Modelica/_svn_Solvers/Compiled Solvers/Simulation/ModelsDotNet/")
	#(cp -pf ./QHP/QHP_Blood_BlooodVolume_ExpandableConnectorPatch_T.cs  "/d/Modelica/_svn_Solvers/Compiled Solvers/Simulation/ModelsDotNet/")
	#(cp -pf ./QHP/QHP_Electrolytes_ExpandableConnectorPatch_T.cs  "/d/Modelica/_svn_Solvers/Compiled Solvers/Simulation/ModelsDotNet/")
	#(cp -pf ./QHP/QHP_test_TestRedCells.cs  "/d/Modelica/_svn_Solvers/Compiled Solvers/Simulation/ModelsDotNet/")
	#(cp -pf TrapezUnderground/*.cs  $(ModelsNET))
	#(cp -pf RightHeartStarling/*.cs $(ModelsNET))
	(cp -pf ./QHP/*.cs  $(ModelsNET))
	
#RightHeartStarling/RightHeartStarling.cpp :  RightHeartStarling/RightHeartStarling.mo 
#	@echo " ** Generate RightHeartStarling original cpps  ** "
#	(cd RightHeartStarling && ../$(OMC) +d=no_tplmode generate.mos)

=== debian/changelog ===
openmodelica (7504-1) unstable; urgency=low

  * Automatic subversion build
 -- OpenModelica Build System <build@openmodelica.org>  Mon, 20 Dec 2010 07:30:16 +0100

=== debian/control ===
Source: openmodelica
Section: math
Priority: optional
Maintainer: OpenModelica Build System <build@openmodelica.org>
Build-Depends: debhelper (>= 7.0.0),
 libsqlite3-dev,
 libssl-dev (>= 0.9.8g),
 libreadline5-dev (>= 5.2),
 libqt4-dev,
 liblpsolve55-dev (>= 5.5.0.10),
 rml-mmc,
 openjdk-6-jdk | sun-java6-jdk,
 libomniorb4-dev,
 omniidl4,
 flex,
 bison
Standards-Version: 3.8.4

Package: openmodelica
Section: math
Architecture: any
Depends: omc,
 omlibrary-msl31,
 omshell,
 omshell-terminal,
 omnotebook,
 drmodelica,
 drcontrol,
 omedit,
 ${misc:Depends}
Description: A complete Modelica environment
 The goal of the project is to create a complete Modelica modeling, compilation
 and simulation environment based on free software distributed in binary and
 source code form.
 .
 This package is a Debian metapackage. After installation this package can be
 removed. This metapackage pulls in the following OpenModelica packages:
 .
 1. Package omc the OpenModelica Compiler/Interpreter (omc)
 2. Package omshell the OpenModelica Shell (OMShell)
 3. Package omshell-terminal the OpenModelica Shell-terminal (OMShell-terminal)
 4. Package omlibrary-msl31 the Modelica Standard Library version 3.1
 5. Package omnotebook the OpenModelica Notebook, with DrModelica and DrControl
 6. Package omedit, a Modelica connection editor for OpenModelica

Package: omc
Section: math
Architecture: any
Depends: sun-java6-jre | openjdk-6-jre,
 build-essential,
 libqt4-dev,
 ${shlibs:Depends},
 ${misc:Depends}
Description: The OpenModelica Compiler
 This is the core of the OpenModelica project. It can be used stand-alone as
 a compiler. It is recommended to use it together with an OpenModelica client,
 such as OMShell (textual interface), OMNotebook (for teaching purposes),
 SimForge (graphical modeling) or OMEdit (graphical modeling).

Package: omedit
Section: math
Architecture: any
Depends: omc,
 omlibrary-msl31,
 ${shlibs:Depends},
 ${misc:Depends}
Description: A Modelica connection editor for OpenModelica
 OMEdit is still in active development. Please try it out and give feedback.

Package: omnotebook
Section: math
Architecture: any
Depends: omc,
 ${shlibs:Depends},
 ${misc:Depends}
Recommends: drmodelica,
 drcontrol
Description: A Mathematica-style Notebook for OpenModelica

Package: drmodelica
Section: math
Architecture: any
Depends: omnotebook,
 ${shlibs:Depends},
 ${misc:Depends}
Description: An OMNotebook course in the Modelica language
 The course is based on Peter Fritzson's book
 “Principles of Object-Oriented Modeling and Simulation with Modelica 2.1”.

Package: drcontrol
Section: math
Architecture: any
Depends: omnotebook,
 ${shlibs:Depends},
 ${misc:Depends}
Description: An OMNotebook course in basic control theory

Package: omshell-terminal
Section: math
Architecture: any
Depends: omc,
 ${shlibs:Depends},
 ${misc:Depends}
Description: A text-based interface to OpenModelica (based on readline)

Package: omshell
Section: math
Architecture: any
Depends: omc,
 ${shlibs:Depends},
 ${misc:Depends}
Description: A text-based interface to OpenModelica (based on Qt)

Package: omlibrary-all
Section: math
Architecture: any
Depends: omlibrary-msl16,
 omlibrary-msl221,
 omlibrary-msl31,
 omlibrary-msl32,
 omlibrary-biochem,
 omlibrary-additions,
 omlibrary-simplefluid,
 ${shlibs:Depends},
 ${misc:Depends}
Description: OpenModelica Library Collection (All)
 * Modelica Standard Library versions 1.6, 2.2, 3.1, 3.2
 * ModelicaAdditions
 * BioChem
 * SimpleFluid

Package: omlibrary-msl16
Section: math
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: OpenModelica Library Collection (MSL 1.6)
 Modelica Standard Library version 1.6

Package: omlibrary-msl221
Section: math
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: OpenModelica Library Collection (MSL 2.2.1)
 Modelica Standard Library version 2.2.1

Package: omlibrary-msl31
Section: math
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: OpenModelica Library Collection (MSL 3.1)
 Modelica Standard Library version 3.1

Package: omlibrary-msl32
Section: math
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: OpenModelica Library Collection (MSL 3.2)
 Modelica Standard Library version 3.2

Package: omlibrary-biochem
Section: math
Architecture: any
Depends: omlibrary-msl221,
 ${shlibs:Depends},
 ${misc:Depends}
Description: OpenModelica Library Collection (BioChem)
 BioChem library for MSL 2.2.1

Package: omlibrary-additions
Section: math
Architecture: any
Depends: omlibrary-msl16,
 ${shlibs:Depends},
 ${misc:Depends}
Description: OpenModelica Library Collection (ModelicaAdditions)
 Modelica Additions to MSL 1.6 (most functionality exists elsewhere in MSL 3.1)

Package: omlibrary-simplefluid
Section: math
Architecture: any
Depends: omlibrary-msl221,
 ${shlibs:Depends},
 ${misc:Depends}
Description: OpenModelica Library Collection (SimpleFluid)
 SimpleFluid library for MSL 2.2.1

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ARCH ?= $(shell uname -m | sed s/i[0-9]86/x86/)

# Some variables to install binaries under debian/tmp
DEST   = $(CURDIR)/debian/tmp
SRCD   = $(CURDIR)

# Compile omc with sendData.cpp and not with humbug.cpp
export QTHOME=/usr

CFLAGS = -Wall

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O3
endif
ifeq ("x86","$(ARCH)")
	CFLAGS += -ffloat-store -msse -mfpmath=sse
else
	CFLAGS += -msse2 -mfpmath=sse
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: configure
	dh_testdir

	# Add here commands to configure the package.
	RMLHOME=/usr CFLAGS="$(CFLAGS)" ./configure \
	--host=$(DEB_HOST_GNU_TYPE) \
	--build=$(DEB_BUILD_GNU_TYPE) \
	--prefix=/usr \
	--with-omniORB=/usr \
	--with-static-lpsolve=/usr \
        --with-sendData-Qt \
	--disable-rml-trace

build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) omc mosh omlibrary
	# Qtclients will start make omc again
	# This is a good thing as Susan will then run and regenerate SimCodeC
	if `hostname | egrep -q "deb32|deb64"`; then \
		ANTLRHOME=/usr $(MAKE) omshell omnotebook omplotwindow; \
		echo "#!/bin/sh" > ./build/bin/OMEdit && echo "echo OMEdit not available on Debian" >> ./build/bin/OMEdit && chmod +x ./build/bin/OMEdit; \
	else \
		ANTLRHOME=/usr $(MAKE) qtclients; \
	fi
	/usr/bin/time -f "== Testsuite wall-time: %e" $(MAKE) -C testsuite/ > ./build/share/doc/omc/testsuite.txt 2>&1
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep 
	dh_installdirs -popenmodelica -Pdebian/tmp

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=$(DEST)

	# Remove extra copyright files
	cd $(DEST)/usr/share/doc/omc/; rm antlr_license.txt ptplot_license.txt
	
	dh_install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install
	dh_installmenu
	dh_installmime
	dh_installman
	dh_link
	dh_strip
	dh_compress -X.pdf -X.onb -X.c -X.h -X.mo -X.mos
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
